Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354344 - wait properly for migration to begin
Summary: wait properly for migration to begin
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.0.2
: 4.0.2.1
Assignee: Tomas Jelinek
QA Contact: Israel Pinto
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 07:32 UTC by Tomas Jelinek
Modified: 2016-08-12 14:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-12 14:23:51 UTC
oVirt Team: Virt
rule-engine: ovirt-4.0.z+
rule-engine: planning_ack+
tjelinek: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 60073 master MERGED migration: wait properly for migration to begin 2016-07-19 10:38:19 UTC
oVirt gerrit 61033 ovirt-4.0 MERGED migration: wait properly for migration to begin 2016-07-19 12:05:23 UTC

Description Tomas Jelinek 2016-07-11 07:32:07 UTC
If the time it takes the migration to begin is longer than the
MIGRATION_MONITOR_INTERVAL (may happen due to networking issues), the first
call to Progress.from_job_stats(self._vm._dom.jobStats()) leads to an exception
because the stats don't contain the statistics yet. This situation causes the
monitor thread to die (even though the migration will continue and eventually
pass).

Comment 1 Israel Pinto 2016-08-11 03:40:32 UTC
Verify with:
Red Hat Virtualization Manager Version: 4.0.2.4-0.1.el7ev
host:
OS Version:RHEL - 7.2 - 9.el7_2.1
OS Description:3.10.0 - 327.22.2.el7.x86_64
KVM Version:2.3.0 - 31.el7_2.21
LIBVIRT Version:libvirt-1.2.17-13.el7_2.5
VDSM Version:vdsm-4.18.5.1-1.el7ev
SPICE Version:0.12.4 - 15.el7_2.1

Steps:
1. Started migration 
2. Disconnect the NIC on the source host 
3. Checked the vdsm.log
Expected results:
1. Migration failure  
2. In vsdm log only timeout of migration

results - PASS


Note You need to log in before you can comment on or make changes to this bug.